I can't install python3-setuptools due to a processing error

I'm trying to install python tools so I can use an xlsx to cvs converter, but I'm getting stuck on the install process.

Any suggestions would be quite useful.

root@laptop:/home/jay/programs/testcsv# sudo apt-get install python3-setuptools
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libmysqlclient18 : Depends: mysql-common (= 5.6.24-1ubuntu14.04)
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
root@laptop:/home/jay/programs/testcsv# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  linux-headers-3.16.0-30 linux-headers-3.16.0-30-generic
  linux-image-3.16.0-30-generic linux-image-extra-3.16.0-30-generic
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  mysql-common
The following packages will be upgraded:
  mysql-common
1 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
1 not fully installed or removed.
Need to get 0 B/230 kB of archives.
After this operation, 2,339 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 208817 files and directories currently installed.)
Preparing to unpack .../mysql-common_5.6.24-1ubuntu14.04_amd64.deb ...
Unpacking mysql-common (5.6.24-1ubuntu14.04) over (5.5.41-0ubuntu0.14.04.1) ...
dpkg: error processing archive /var/cache/apt/archives/mysql-common_5.6.24-1ubuntu14.04_amd64.deb (--unpack):
 trying to overwrite '/usr/share/mysql/danish/errmsg.sys', which is also in package percona-server-server-5.6 5.6.23-72.1-1.trusty
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-common_5.6.24-1ubuntu14.04_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Open in new window

TampaJayAsked:
Who is Participating?

[Product update] Infrastructure Analysis Tool is now available with Business Accounts.Learn More

x
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Walter RitzelSenior Software EngineerCommented:
use: sudo apt-get -f install
TampaJayAuthor Commented:
apt-get -f install provides errors as well

root@laptop:/home/jay# sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  mysql-common
The following packages will be upgraded:
  mysql-common
1 upgraded, 0 newly installed, 0 to remove and 104 not upgraded.
1 not fully installed or removed.
Need to get 0 B/230 kB of archives.
After this operation, 2,340 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 208817 files and directories currently installed.)
Preparing to unpack .../mysql-common_5.6.25-1ubuntu14.04_amd64.deb ...
Unpacking mysql-common (5.6.25-1ubuntu14.04) over (5.5.41-0ubuntu0.14.04.1) ...
dpkg: error processing archive /var/cache/apt/archives/mysql-common_5.6.25-1ubuntu14.04_amd64.deb (--unpack):
 trying to overwrite '/usr/share/mysql/danish/errmsg.sys', which is also in package percona-server-server-5.6 5.6.23-72.1-1.trusty
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-common_5.6.25-1ubuntu14.04_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Open in new window

Walter RitzelSenior Software EngineerCommented:
Do you need the percona server in question?
If not, maybe you can remove this package.
TampaJayAuthor Commented:
It appears there is no solution but to reformat.

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
TampaJayAuthor Commented:
There is no solution for my question. System needs a reformat.
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Python

From novice to tech pro — start learning today.